package com.fs.qw.service.impl;

import com.fs.qw.domain.QwContactWayUser;
import com.fs.qw.mapper.QwContactWayUserMapper;
import com.fs.qw.service.IQwContactWayUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 联系我限制Service业务层处理
 * 
 * @author fs
 * @date 2024-07-23
 */
@Service
public class QwContactWayUserServiceImpl implements IQwContactWayUserService 
{
    @Autowired
    private QwContactWayUserMapper qwContactWayUserMapper;

    /**
     * 查询联系我限制
     * 
     * @param id 联系我限制主键
     * @return 联系我限制
     */
    @Override
    public QwContactWayUser selectQwContactWayUserById(Long id)
    {
        return qwContactWayUserMapper.selectQwContactWayUserById(id);
    }

    /**
     * 查询联系我限制列表
     * 
     * @param qwContactWayUser 联系我限制
     * @return 联系我限制
     */
    @Override
    public List<QwContactWayUser> selectQwContactWayUserList(QwContactWayUser qwContactWayUser)
    {
        return qwContactWayUserMapper.selectQwContactWayUserList(qwContactWayUser);
    }

    /**
     * 新增联系我限制
     * 
     * @param qwContactWayUser 联系我限制
     * @return 结果
     */
    @Override
    public int insertQwContactWayUser(QwContactWayUser qwContactWayUser)
    {
        return qwContactWayUserMapper.insertQwContactWayUser(qwContactWayUser);
    }

    /**
     * 修改联系我限制
     * 
     * @param qwContactWayUser 联系我限制
     * @return 结果
     */
    @Override
    public int updateQwContactWayUser(QwContactWayUser qwContactWayUser)
    {
        return qwContactWayUserMapper.updateQwContactWayUser(qwContactWayUser);
    }

    /**
     * 批量删除联系我限制
     * 
     * @param ids 需要删除的联系我限制主键
     * @return 结果
     */
    @Override
    public int deleteQwContactWayUserByIds(Long[] ids)
    {
        return qwContactWayUserMapper.deleteQwContactWayUserByIds(ids);
    }

    /**
     * 删除联系我限制信息
     * 
     * @param id 联系我限制主键
     * @return 结果
     */
    @Override
    public int deleteQwContactWayUserById(Long id)
    {
        return qwContactWayUserMapper.deleteQwContactWayUserById(id);
    }
}
